Policies
Stats
Retrieve system statistics
GET
/
v2.5
/
api
/
microseg
/
stats
cURL
curl -sk -X GET "https://${CONTROLLER}/v2.5/api/microseg/stats" \
-H "Authorization: cid ${CID}"import requests
url = f"https://{CONTROLLER}/v2.5/api/microseg/stats"
headers = {"Authorization": f"cid {cid}"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://"+controller+"/v2.5/api/microseg/stats", nil)
req.Header.Set("Authorization", "cid "+cid)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}{
"policies": {
"3893ed39-d49e-4845-8ebf-9209bfb04f49": {
"hit": 0,
"hit_watch": 0
}
}
}{
"message": "<string>"
}Was this page helpful?
⌘I
cURL
curl -sk -X GET "https://${CONTROLLER}/v2.5/api/microseg/stats" \
-H "Authorization: cid ${CID}"import requests
url = f"https://{CONTROLLER}/v2.5/api/microseg/stats"
headers = {"Authorization": f"cid {cid}"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://"+controller+"/v2.5/api/microseg/stats", nil)
req.Header.Set("Authorization", "cid "+cid)
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}{
"policies": {
"3893ed39-d49e-4845-8ebf-9209bfb04f49": {
"hit": 0,
"hit_watch": 0
}
}
}{
"message": "<string>"
}